Skip to main content

Create network config

POST 

/network-config

Create a network configuration (VPN) for connections to data sources behind a VPN.

Send these required fields as multipart/form-data, together with the OpenVPN configuration file:

  • network_type_id: network type identifier.
  • network_type_name: network type name, for example openvpn.
  • name: display name.
  • description: network configuration description.
  • ovpn_file: the .ovpn file to upload.

Error scenarios​

CodeDescription
400Missing required fields or invalid file format
401Missing or invalid access-token header
403The user does not have the required permissions
500Unknown server error

Request​

Responses​